Home > Flex-10, HP > HP Virtual Connect 4.01 Update: What’s New

HP Virtual Connect 4.01 Update: What’s New

HP has released a significant firmware update to its Virtual Connect line of HP Blade chassis switches. The main highlights are Dual-hop FCoE support and enhancements to QoS and bandwidth optimisation.

This is part 1 of a 6 part post on HP Virtual Connect 4.01:

  1. HP Virtual Connect 4.01: What’s New
  2. HP Virtual Connect 4.01: Dual-hop FcOE support
  3. HP Virtual Connect 4.01: Min/Max Bandwidth Optimisation
  4. HP Virtual Connect 4.01: Priority Queue QoS
  5. HP Virtual Connect 4.01: SNMP and sFlow enhancements
  6. HP Virtual Connect 4.01: RBAC and Multicast + some more

The full list of new features is:

Dual-hop FCoE Support Extending convergence for Flex-10 and FlexFabric
Bandwidth Optimization Min/Max for NIC Bandwidth
Priority Queue QoS Prioritizing critical application traffic
SNMP MIB enhancements Improved monitoring and troubleshooting
sFlow monitoring Monitoring and planning at flow level
Multicast Filtering Single source multicast
Custom role-based configuration Delegate management permissions
GUI and CLI enhancements Session timeout and CLI tab completion

There are a number of dependencies for VC 4.01

  • Onboard Administrator – v3.70 recommended, 3.11 minimum
  • Virtual Connect Support Utility (VCSU) – v1.8.1 or later
  • Virtual Connect Enterprise Manager (VCEM) – v7.2 (Will work in older VCEMs in compatibility mode, i.e. no new VCM features will be supported)

image HP says Service Pack for ProLiant (SPP) 2013.02.00 is recommended as a Baseline Release Set but VC 4.01 has also been tested with SPP 2012.08.0, and SPP 2012.06.0 (B). Not quite sure what this means as if it has been tested with the previous versions they should be the minimum. Knowing the historical issues with firmware incompatibility, I would suggest ensuring you have SPP 2013.02.00 on your blades first.

It’s worth noting that VC 4.01 is not part of any particular SPP package. HPSUM or the VCSU can be used to upgrade to VC 4.01 after you have upgraded your blade firmware.

The Emulex firmware version for the built in LOMs on a G7 Blade server (HP NC553i or NC551i) or Mezz card (HP NC554m) or the CNA LOM added to a Gen8 Blade server (HP 554FLB) need to have their firmware upgraded to support dual hop FCoE. The latest Emulex firmware version for the NC55x controllers is currently 4.2.401.2215. This firmware is NOT included in the SPP 2013.02.0, but it can be downloaded as a separate standalone update tool (bootable ISO file) or as a HP SUM component.

HP Virtual Connect 4.01 can be downloaded from here

You can read the Release Notes which detail the list of other fixes and also highlight some of the issues so a must read before deploying in case they affect you.

You can also read the User Guide and the Setup and Installation Guide

I have not updated my HP Virtual Connect Flex-10 & VMware ESX(i) pre-requisites post yet to reflect this new version as with such a major change it’s worth checking everything works as advertised so get testing!

Next up: HP Virtual Connect 4.01: Dual-hop FcOE support

Categories: Flex-10, HP Tags: , ,
  1. Lawrance Lee
    July 25th, 2013 at 07:24 | #1

    One minor correction: There is no VCSU version 1.8.0. To upgrade Virtual Connect modules to 4.01, VCSU version 1.8.1 is required. If there are earlier versions of VCSU installed, they must be uninstalled prior to installing VCSU 1.8.1.

    Important: The Emulex firmware version for the built in LOMs on a G7 Blade server (HP NC553i or NC551i) or Mezz card (HP NC554m) or the CNA LOM added to a Gen8 Blade server (HP 554FLB) need to have their firmware upgraded to support dual hop FCoE. The latest Emulex firmware version for the NC55x controllers is currently 4.2.401.2215. This firmware is NOT included in the SPP 2013.02.0, but it can be downloaded as a separate standalone update tool (bootable ISO file) or as a HP SUM component.

  2. WoodITWork
    July 25th, 2013 at 09:00 | #2

    Hi @Lawrance Lee , thanks for the extra info, I’ve updated the post to include it.

  1. No trackbacks yet.
 

Time limit is exhausted. Please reload the CAPTCHA.